### Class

# AdwEnumListItem

#### Description [src]

    final class Adw.EnumListItem : GObject.Object
    {
      /* No available fields */
    }

`AdwEnumListItem` is the type of items in a `AdwEnumListModel`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_enum_list_item_get_name

Gets the enum value name.

###### adw_enum_list_item_get_nick

Gets the enum value nick.

###### adw_enum_list_item_get_value

Gets the enum value.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.EnumListItem:name

The enum value name.

###### Adw.EnumListItem:nick

The enum value nick.

###### Adw.EnumListItem:value

The enum value.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwEnumListItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.